Loading...
Searching...
No Matches
XrdCl::TruncateAction Struct Reference

Truncate action. More...

`#include <XrdClAction.hh>`

Inheritance diagram for XrdCl::TruncateAction:
Collaboration diagram for XrdCl::TruncateAction:

## Public Member Functions

| TruncateAction (void *file, uint64_t size, uint16_t timeout)
std::string | ArgStr ()
| Convert operation arguments into a string.
std::string | Name ()
| Action name.
Public Member Functions inherited from XrdCl::Action
| Action (void *file, uint16_t timeout)
virtual | ~Action ()
| Destructor.
void | RecordResult (XRootDStatus *st, AnyObject *rsp)
| Record the server response / error / timeout.
virtual void | Serialize (AnyObject *response)
| Serialize server response.
std::string | ToString ()
| Convert the action / response data into csv row.

## Public Attributes

uint32_t | size
Public Attributes inherited from XrdCl::Action
uint64_t | id
std::string | serialrsp
std::chrono::system_clock::time_point | start
XRootDStatus | status
std::chrono::system_clock::time_point | stop
uint16_t | timeout

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::Action
static double | time (std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > tp)
| Convert timpoint to unix timestamp with ns.
static double | timeNow ()
| Get curretn unix time in ns precision as a double.

## Detailed Description

Truncate action.

Definition at line 340 of file XrdClAction.hh.

## Constructor & Destructor Documentation

## TruncateAction()

XrdCl::TruncateAction::TruncateAction | ( | void * | file,
|  | uint64_t | size,
|  | uint16_t | timeout )

inline

Definition at line 342 of file XrdClAction.hh.

: Action(file, timeout)
, size(size)
{
}
Action
int Action
Definition XrdSecpwdSrvAdmin.cc:155
XrdCl::Action::timeout
uint16_t timeout
Definition XrdClAction.hh:131
XrdCl::TruncateAction::size
uint32_t size
Definition XrdClAction.hh:352

References XrdCl::Action::Action(), size, and XrdCl::Action::timeout.

Here is the call graph for this function:

## Member Function Documentation

## ArgStr()

std::string XrdCl::TruncateAction::ArgStr | ( |  | ) |

inline virtual

Convert operation arguments into a string.

Implements XrdCl::Action.

Definition at line 350 of file XrdClAction.hh.

{ return std::to_string(size); }

References size.

## Name()

std::string XrdCl::TruncateAction::Name | ( |  | ) |

inline virtual

Action name.

Implements XrdCl::Action.

Definition at line 348 of file XrdClAction.hh.

{ return "Truncate"; }

## Member Data Documentation

## size

uint32_t XrdCl::TruncateAction::size

Definition at line 352 of file XrdClAction.hh.

Referenced by TruncateAction(), and ArgStr().

The documentation for this struct was generated from the following file:

- XrdClAction.hh